Opened 7 years ago

Closed 7 years ago

#8599 closed defect (fixed)

PathsNeededToBuildCircuits option is broken

Reported by: karsten Owned by:
Priority: Low Milestone: Tor: 0.2.4.x-final
Component: Core Tor/Tor Version: Tor: 0.2.4.10-alpha
Severity: Keywords: tor-client
Cc: Actual Points:
Parent ID: Points:
Reviewer: Sponsor:

Description

The PathsNeededToBuildCircuits config option added in 02c32091 can be set to a value between 0.25 and 0.95, but that value is only used in nodelist.c if it's >= 1.0 which should probably be >= 0.0. Also, the check for too high values (> 0.95) is broken, setting all valid values to 0.95. See branch paths-needed-option in my public repo. Not adding a ChangeLog entry, because this bug is not in a released version, AFAIK.

Child Tickets

Change History (2)

comment:1 Changed 7 years ago by nickm

Milestone: Tor: 0.2.5.x-finalTor: 0.2.4.x-final

Actually, I think it's in 0.2.4.10-alpha:

git describe --contains 02c32091
tor-0.2.4.10-alpha~17^2

Also, your patch is against master, but the bug is in 0.2.4.

cherry-picking and writing a changes file...

comment:2 Changed 7 years ago by nickm

Resolution: fixed
Status: newclosed
Version: Tor: 0.2.4.10-alpha

Done.

Note: See TracTickets for help on using tickets.